import React from "react";

import SpotlightContainerDecorator from "@enact/spotlight/SpotlightContainerDecorator";

import css from "./OnSaleProductsGrid.module.less";

const Container = SpotlightContainerDecorator(
  { leaveFor: { left: "", right: "" }, enterTo: "last-focused" },
  "li"
);

export default function OnSaleProductsGrid({ saleNm, children }) {
  return (
    <Container className={css.container}>
      <h2>{saleNm}</h2>
      <ul>{children}</ul>
    </Container>
  );
}
